## maelstrom 3.0.6.4

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.4
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
URLS=http://ftp.tal.org/pub/src/

include ../Rules.make

=== Images/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# Images/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/Maelstrom
pkgincludedir = $(includedir)/Maelstrom
pkglibdir = $(libdir)/Maelstrom
pkglibexecdir = $(libexecdir)/Maelstrom
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = Images
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(gameimagedir)"
DATA = $(gameimage_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.11
AMTAR = tar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GAME_INSTALLDIR = $(prefix)/games/Maelstrom
ICONOBJ = 
INETLIB = 
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS =  -L/usr/lib -lSDL -lpthread -lSDL_net -lSDL_image
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo
MATHLIB = -lm
MKDIR_P = /bin/mkdir -p
OBJEXT = o
OSSO_AF_CFLAGS = 
OSSO_AF_LIBS = 
PACKAGE = Maelstrom
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.0.6.4
abs_builddir = /home/milang/Repos/Maelstrom.git/Images
abs_srcdir = /home/milang/Repos/Maelstrom.git/Images
abs_top_builddir = /home/milang/Repos/Maelstrom.git
abs_top_srcdir = /home/milang/Repos/Maelstrom.git
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = ${datarootdir}/applications
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
gamedir = NONE/games/Maelstrom
gameimagedir = NONE/games/Maelstrom/Images
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/milang/Repos/Maelstrom.git/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
gameimage_DATA = Maelstrom_Icon\#100.cicn Maelstrom_Icon\#101.cicn Maelstrom_Icon\#102.cicn Maelstrom_Icon\#103.cicn \
 Maelstrom_Icon\#104.cicn Maelstrom_Icon\#110.cicn Maelstrom_Icon\#128.cicn Maelstrom_Icon\#129.cicn \
 Maelstrom_Icon\#130.cicn Maelstrom_Icon\#131.cicn Maelstrom_Icon\#132.cicn Maelstrom_Icon\#133.cicn \
 Maelstrom_Icon\#134.cicn Maelstrom_Icon\#135.cicn Maelstrom_Icon\#136.cicn Maelstrom_Icon\#137.cicn \
 Maelstrom_Titles\#100.png Maelstrom_Titles\#101.png Maelstrom_Titles\#102.png Maelstrom_Titles\#128.png \
 Maelstrom_Titles\#129.png Maelstrom_Titles\#130.png Maelstrom_Titles\#133.png Maelstrom_Titles\#134.png \
 Maelstrom_Titles\#135.png Maelstrom_Titles\#999.png

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Images/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Images/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-gameimageDATA: $(gameimage_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(gameimagedir)" || $(MKDIR_P) "$(DESTDIR)$(gameimagedir)"
	@list='$(gameimage_DATA)'; test -n "$(gameimagedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(gameimagedir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(gameimagedir)" || exit $$?; \
	done

uninstall-gameimageDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gameimage_DATA)'; test -n "$(gameimagedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(gameimagedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(gameimagedir)" && rm -f $$files
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(gameimagedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-gameimageDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-gameimageDATA

.MAKE: install-am install-strip

=== debian/changelog ===
maelstrom (3.0.6.4) stable; urgency=high

  * Workaround for SDL input focus bug in fremantle

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 10 Oct 2009 13:26:00 +0200

## maelstrom 3.0.6.5

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.5
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
URLS=http://ftp.tal.org/pub/src/

include ../Rules.make

=== Images/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Images/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/Maelstrom
pkglibdir = $(libdir)/Maelstrom
pkgincludedir = $(includedir)/Maelstrom
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
subdir = Images
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(gameimagedir)"
gameimageDATA_INSTALL = $(INSTALL_DATA)
DATA = $(gameimage_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = tar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GAME_INSTALLDIR = $(prefix)/games/Maelstrom
ICONOBJ = 
INETLIB = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS =  -L/usr/lib -lSDL -lSDL_net -lSDL_image
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = makeinfo
MATHLIB = -lm
OBJEXT = o
OSSO_AF_CFLAGS =  
OSSO_AF_LIBS =  
PACKAGE = Maelstrom
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.0.6.5
ac_ct_CC = gcc
ac_ct_CXX = g++
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = 
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
gamedir = /usr/games/Maelstrom
gameimagedir = /usr/games/Maelstrom/Images
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26/hildon
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34/hildon
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40/hildon
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50/hildon
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/milang/maelstrom/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
gameimage_DATA = Maelstrom_Icon\#100.cicn Maelstrom_Icon\#101.cicn Maelstrom_Icon\#102.cicn Maelstrom_Icon\#103.cicn \
 Maelstrom_Icon\#104.cicn Maelstrom_Icon\#110.cicn Maelstrom_Icon\#128.cicn Maelstrom_Icon\#129.cicn \
 Maelstrom_Icon\#130.cicn Maelstrom_Icon\#131.cicn Maelstrom_Icon\#132.cicn Maelstrom_Icon\#133.cicn \
 Maelstrom_Icon\#134.cicn Maelstrom_Icon\#135.cicn Maelstrom_Icon\#136.cicn Maelstrom_Icon\#137.cicn \
 Maelstrom_Titles\#100.png Maelstrom_Titles\#101.png Maelstrom_Titles\#102.png Maelstrom_Titles\#128.png \
 Maelstrom_Titles\#129.png Maelstrom_Titles\#130.png Maelstrom_Titles\#133.png Maelstrom_Titles\#134.png \
 Maelstrom_Titles\#135.png Maelstrom_Titles\#999.png

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Images/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Images/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-gameimageDATA: $(gameimage_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(gameimagedir)" || $(mkdir_p) "$(DESTDIR)$(gameimagedir)"
	@list='$(gameimage_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(gameimageDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(gameimagedir)/$$f'"; \
	  $(gameimageDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(gameimagedir)/$$f"; \
	done

uninstall-gameimageDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gameimage_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(gameimagedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(gameimagedir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(gameimagedir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-gameimageDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-gameimageDATA uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-gameimageDATA install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am uninstall uninstall-am uninstall-gameimageDATA \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
maelstrom (3.0.6.5) stable; urgency=high

  * Fixed (and Tested) workaround for SDL input focus bug in fremantle

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 14 Oct 2009 11:45:00 +0200

=== debian/control ===
Source: maelstrom
Section: user/games
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libsdl1.2-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, osso-af-settings
Standards-Version: 3.8.0

Package: maelstrom
Section: user/games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Maemo-Display-Name: Maelstrom, an asteroids clone
Description: Maelstrom, an asteroids clone
 You pilot your ship through the dreaded "Maelstrom" asteroid belt -- suddenly your best friend thrusts towards you 
 and fires, directly at your cockpit. You raise your shields just in time, and the battle is joined.
 The deadliest stretch of space known to mankind has just gotten deadlier. Everywhere massive asteroids jostle for 
 a chance to crush your ship, and deadly shinobi fighter patrols pursue you across the asteroid belt. But the 
 deadliest of them all is your sister ship, assigned to you on patrol. The pilot, trained by your own Navy, battle 
 hardened by months in the Maelstrom, is equipped with a twin of your own ship and intimate knowledge of your 
 tactics.
 The lovely Stratocaster R&R facility never sounded so good, but as you fire full thrusters to dodge the latest 
 barrage you begin to think you'll never get home... 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAA3NCSVQICAjb4U/gAAAE7klEQVRI
 iaXVTW8SWxgH8DnzchgYZkBuAacDVHpDi02lrVZt1MS68IO4Myau/Q7u/Aqurwtj4kKTauKCm/YW
 CrQVGkqhlQ5vM7yUMszbOS4wtfQ2mtz7rGYx85vkf57nOcDpdMZiMZqmif9XCKFCoUDHYrEXL17k
 cjmE0H+2SJJMJBIvX76kIYSZTObVq1e/5iiKsm179AwAwBhf4J49e8YwDD1SEEKmaV6q0DRNUZTH
 4zEMQ9M0p9Pp9/sbjUa32z37AU3TAACE0MXIAAAEQZAAOFiWYZhIOOwJBBqyzDJMOBQqVyputxtC
 SFGUz+crl8uWZZ3/nL5gsSzr9/sZQZCuXvV7vVcEodjrXUEIDIeAZR1eL7BtjLHL5ZqamqJpWlGU
 drt9OUdRVDweFwShThAOCHudjj4cBiDMHh93u90r4bCGkJum43NzyLYPKxWPxxONRpPJZL/f/xHi
 +TgDgcDExARCSBgMqpXKfql0fHraZ9nbt2+btr2dTGrfvomShBD6Wq0Sosg6HIZhiKI4imiMc7vd
 HMfJsswwjIvjWs1ms9ms5PO5ZNK0LIfD0e31hqZ5dHS0k8vt7+zwGFu2fXx8PDqHMQ4AIEnSzMwM
 xng4HJZKJYZhJEkyT04Gnc7ap0+MywW9Xo7j2u22putI16Ftezyehqqqug4ZZtQ6P7LDGMuy7AsG
 I4lE/+BgMBi43W6l1ZpOJP6MxZyW9Uco1CeICMuqnQ7DML1ez+12ZzKZSDQamp//5/37UcP9PIpu
 p5Pe3AxMTyNFYVnWMIzVR49oj8cwzVAotLC4qLZaumkeVav9fp/juEajEQwGxWBQLhTaqkpR1BiH
 CWJwclLJZgOBAM/zT548WVxcTG9ubqbT+W630WwqimLbtqZpFEVtbW3dv39/ZWXl9evXsiyTJHl5
 o4wiePr06fLyMgBg6tq1ZLlsqera2pplWQAAAIDX6z09PQUY+3y+UCjUaDTOZu4nN+pMWZZv3bol
 iqJhGK1W6683b5JfvoiTk81mkyCImZmZmzdvhkKh7NbW9uFhIBxO3Lixu7uradpFThCEeDy+srIy
 HA7fvn0LISwUCtlsFmN8WKlEIpHp6en5+XnLsra3t1Pp9EQ0apHk13z+zBrjAAA+n29ycnJvb299
 fb1WqxEEgRCCEK6ursbjcZZlU6nUwcGBpmnVWm1+YaFVLu/u7lqWdbYuf3KtVuvdu3cMw4ii2Ol0
 bNsGAAiC8PDhw3v37iGENjY2UqmUpmkQwmA0Cicnv3z4cH5gxzjTNBVFicfj169fRwjtbG8LHCdK
 0oMHD1wuVyaTWV9f5zhOkqRoNMrzvM/l+ns4vLD4xk4WY6yqai6XEwRh6c4dneMWJalUKjWbzb29
 PZ7nHQ7H3bt3/X7/0dHRRio1GAyI8RrjEEKKooiiCCFcmJuraxoyjGKxmE6nMcZer5fn+XA43G63
 9/f3TdM8WySXcyOxXq/X6/V8Pu/l+dm5ucePH/f7/Ww2W61WFxYWdF3/+PGjqqqapv37PrjI2bYt
 y/LIbToc0OmMRCI0TUMIDcMoFou5XK5YLGKMzzb7GEeSJMaYJMkLdyNJkrZtl0qlbrdbq9V0XScI
 YmdnZ5Q9AOD8+6NxIkmStixraWnp+fPnl95kGGOE0Gi8f1EkSS4vL3/+/Bk4nc7Z2dnffvDbwhjn
 8/nv7QakXp/Po3AAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_OPT_FLAG:=-O2
#DEB_SOURCE_PACKAGE:=maelstrom
DEB_TAR_SRCDIR:=Maelstrom-3.0.6.5
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
#DEB_AUTO_UPDATE_AUTOCONF=2.59
#DEB_AUTO_UPDATE_AUTOMAKE=1.8

include /usr/share/cdbs/1/rules/tarball.mk

install/maelstrom::
	echo "*** Fixing up things for maemo"
	strip debian/maelstrom/usr/bin/Maelstrom
	mv debian/maelstrom/usr/bin/Maelstrom debian/maelstrom/usr/games/Maelstrom/
	install -m 755 Maelstrom.sh debian/maelstrom/usr/bin/Maelstrom
	chmod a-x debian/maelstrom/usr/games/Maelstrom/*_*
	chmod a-x debian/maelstrom/usr/games/Maelstrom/Images/*.*
	chmod 666 debian/maelstrom/usr/games/Maelstrom/Maelstrom-Scores

## maelstrom 3.0.6.6

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.6
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
URLS=http://ftp.tal.org/pub/src/maelstrom/3.0

include ../Rules.make

=== Images/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# Images/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/Maelstrom
pkgincludedir = $(includedir)/Maelstrom
pkglibdir = $(libdir)/Maelstrom
pkglibexecdir = $(libexecdir)/Maelstrom
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = Images
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(gameimagedir)"
DATA = $(gameimage_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.11
AMTAR = tar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/data\"
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/data\"
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GAME_INSTALLDIR = $(prefix)/data
ICONOBJ = 
INETLIB = 
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS =  -L/usr/lib -lSDL -lpthread -lSDL_net -lSDL_image
LTLIBOBJS = 
MAINT = 
MAKEINFO = makeinfo
MATHLIB = -lm
MKDIR_P = /bin/mkdir -p
OBJEXT = o
OSSO_AF_CFLAGS = 
OSSO_AF_LIBS = 
PACKAGE = Maelstrom
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.0.6.6
abs_builddir = /home/milang/Repos/Maelstrom.git/Images
abs_srcdir = /home/milang/Repos/Maelstrom.git/Images
abs_top_builddir = /home/milang/Repos/Maelstrom.git
abs_top_srcdir = /home/milang/Repos/Maelstrom.git
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = /usr/share
desktopentrydir = ${datarootdir}/applications
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
gamedir = /opt/maelstrom/data
gameimagedir = /opt/maelstrom/data/Images
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/milang/Repos/Maelstrom.git/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /opt/maelstrom
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
gameimage_DATA = Maelstrom_Icon\#100.cicn Maelstrom_Icon\#101.cicn Maelstrom_Icon\#102.cicn Maelstrom_Icon\#103.cicn \
 Maelstrom_Icon\#104.cicn Maelstrom_Icon\#110.cicn Maelstrom_Icon\#128.cicn Maelstrom_Icon\#129.cicn \
 Maelstrom_Icon\#130.cicn Maelstrom_Icon\#131.cicn Maelstrom_Icon\#132.cicn Maelstrom_Icon\#133.cicn \
 Maelstrom_Icon\#134.cicn Maelstrom_Icon\#135.cicn Maelstrom_Icon\#136.cicn Maelstrom_Icon\#137.cicn \
 Maelstrom_Titles\#100.png Maelstrom_Titles\#101.png Maelstrom_Titles\#102.png Maelstrom_Titles\#128.png \
 Maelstrom_Titles\#129.png Maelstrom_Titles\#130.png Maelstrom_Titles\#133.png Maelstrom_Titles\#134.png \
 Maelstrom_Titles\#135.png Maelstrom_Titles\#999.png

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Images/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Images/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-gameimageDATA: $(gameimage_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(gameimagedir)" || $(MKDIR_P) "$(DESTDIR)$(gameimagedir)"
	@list='$(gameimage_DATA)'; test -n "$(gameimagedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(gameimagedir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(gameimagedir)" || exit $$?; \
	done

uninstall-gameimageDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gameimage_DATA)'; test -n "$(gameimagedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(gameimagedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(gameimagedir)" && rm -f $$files
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(gameimagedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-gameimageDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-gameimageDATA

.MAKE: install-am install-strip

=== debian/changelog ===
maelstrom (3.0.6.6) stable; urgency=high

  * Use /opt for data and binary
  * Use full 800x480 wide resolution
  * Hide mouse properly

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 05 Nov 2009 13:37:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_OPT_FLAG:=-O2
#DEB_SOURCE_PACKAGE:=maelstrom
DEB_TAR_SRCDIR:=Maelstrom-3.0.6.6
ifeq ($(IS_FREMANTLE),y)
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt/maelstrom --datarootdir=/usr/share
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
else
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
endif
#DEB_AUTO_UPDATE_AUTOCONF=2.59
#DEB_AUTO_UPDATE_AUTOMAKE=1.8

include /usr/share/cdbs/1/rules/tarball.mk

install/maelstrom::
	echo "*** Fixing up things for maemo"
	install -d -m 755 debian/maelstrom/usr/bin/
	install -m 755 Maelstrom.sh debian/maelstrom/usr/bin/Maelstrom
	strip -g debian/maelstrom/opt/maelstrom/bin/Maelstrom
	chmod 666 debian/maelstrom/opt/maelstrom/data/Maelstrom-Scores

## maelstrom 3.0.6.8-1

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.8
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
URLS=http://ftp.tal.org/pub/src/maelstrom/3.0

include ../Rules.make

=== Images/Makefile ===
--- 
+++ 
@@ -80,11 +80,11 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/data\"
+CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
 CPPFLAGS = 
 CXX = g++
 CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/data\"
+CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/games/Maelstrom\"
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
@@ -92,7 +92,7 @@
 ECHO_N = -n
 ECHO_T = 
 EXEEXT = 
-GAME_INSTALLDIR = $(prefix)/data
+GAME_INSTALLDIR = $(prefix)/games/Maelstrom
 ICONOBJ = 
 INETLIB = 
 INSTALL = /bin/install -c
@@ -104,7 +104,7 @@
 LIBOBJS = 
 LIBS =  -L/usr/lib -lSDL -lpthread -lSDL_net -lSDL_image
 LTLIBOBJS = 
-MAINT = 
+MAINT = #
 MAKEINFO = makeinfo
 MATHLIB = -lm
 MKDIR_P = /bin/mkdir -p
@@ -127,7 +127,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 3.0.6.6
+VERSION = 3.0.6.8
 abs_builddir = /home/milang/Repos/Maelstrom.git/Images
 abs_srcdir = /home/milang/Repos/Maelstrom.git/Images
 abs_top_builddir = /home/milang/Repos/Maelstrom.git
@@ -147,13 +147,13 @@
 build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
-datarootdir = /usr/share
+datarootdir = ${prefix}/share
 desktopentrydir = ${datarootdir}/applications
 docdir = ${datarootdir}/doc/${PACKAGE}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-gamedir = /opt/maelstrom/data
-gameimagedir = /opt/maelstrom/data/Images
+gamedir = NONE/games/Maelstrom
+gameimagedir = NONE/games/Maelstrom/Images
 host = i686-pc-linux-gnu
 host_alias = 
 host_cpu = i686
@@ -202,7 +202,7 @@
 all: all-am
 
 .SUFFIXES:
-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -227,9 +227,9 @@
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 
-$(top_srcdir)/configure:  $(am__configure_deps)
+$(top_srcdir)/configure: # $(am__configure_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(am__aclocal_m4_deps):
 install-gameimageDATA: $(gameimage_DATA)

=== debian/changelog ===
maelstrom (3.0.6.8-1) stable; urgency=high
  * Adjust build rules so we are ok on diablo

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Mar 2010 15:47:00 +0200

maelstrom (3.0.6.8) stable; urgency=high

  * Don't disable caption setting, it's only SetIcon that is broken
  * Pause game on unfocus

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 17 Nov 2009 13:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Maemo-Display-Name: Maelstrom, an asteroids clone
 Description: Maelstrom, an asteroids clone
+ Maelstrom is a 1993 clone of Asteroids originaly for the Macintosh  by Ambrosia Software and later made into a GPLed port by Sam Lantinga.
+ More more information see http://en.wikipedia.org/wiki/Maelstrom_(1993_video_game)
  You pilot your ship through the dreaded "Maelstrom" asteroid belt -- suddenly your best friend thrusts towards you 
  and fires, directly at your cockpit. You raise your shields just in time, and the battle is joined.
  The deadliest stretch of space known to mankind has just gotten deadlier. Everywhere massive asteroids jostle for 
@@ -19,7 +21,7 @@
  hardened by months in the Maelstrom, is equipped with a twin of your own ship and intimate knowledge of your 
  tactics.
  The lovely Stratocaster R&R facility never sounded so good, but as you fire full thrusters to dodge the latest 
- barrage you begin to think you'll never get home... 
+ barrage you begin to think you'll never get home...
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAA3NCSVQICAjb4U/gAAAE7klEQVRI
  iaXVTW8SWxgH8DnzchgYZkBuAacDVHpDi02lrVZt1MS68IO4Myau/Q7u/Aqurwtj4kKTauKCm/YW

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_OPT_FLAG:=-O2
+DEB_OPT_FLAG:=-O2 -pipe -fomit-frame-pointer
 #DEB_SOURCE_PACKAGE:=maelstrom
-DEB_TAR_SRCDIR:=Maelstrom-3.0.6.6
+DEB_TAR_SRCDIR:=Maelstrom-3.0.6.8
 ifeq ($(IS_FREMANTLE),y)
 DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt/maelstrom --datarootdir=/usr/share
 DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
@@ -20,9 +20,20 @@
 include /usr/share/cdbs/1/rules/tarball.mk
 
 install/maelstrom::
-	echo "*** Fixing up things for maemo"
+	@echo "*** Fixing up things for maemo"
 	install -d -m 755 debian/maelstrom/usr/bin/
-	install -m 755 Maelstrom.sh debian/maelstrom/usr/bin/Maelstrom
+ifeq ($(IS_FREMANTLE),y)
+	@echo "*** Fremantle"
+	sed -e s,@PREFIX@,/opt/maelstrom/bin, debian/Maelstrom.sh.in > debian/maelstrom/usr/bin/Maelstrom
 	strip -g debian/maelstrom/opt/maelstrom/bin/Maelstrom
 	chmod 666 debian/maelstrom/opt/maelstrom/data/Maelstrom-Scores
+else
+	@echo "*** Diablo/Chinook"
+	mv debian/maelstrom/usr/bin/Maelstrom debian/maelstrom/usr/games/Maelstrom/Maelstrom
+	sed -e s,@PREFIX@,/usr/games/Maelstrom, debian/Maelstrom.sh.in > debian/maelstrom/usr/bin/Maelstrom
+	chmod 755 debian/maelstrom/usr/bin/Maelstrom
+	strip -g debian/maelstrom/usr/games/Maelstrom/Maelstrom
+	chmod 666 debian/maelstrom/usr/games/Maelstrom/Maelstrom-Scores
+endif
+	chmod 755 debian/maelstrom/usr/bin/Maelstrom
